Skip to navigation

Update MatrixPlate

Beta
Update MatrixPlate.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

matrix_plate_idstringRequired
ID of the MatrixPlate.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
archiveReasonstringOptional
Why the plate is archived
archivedbooleanOptional
Whether the plate is archived
barcodestringOptional
Barcode of the plate
namestringOptional

Name of the plate; defaults to barcode if name is not provided

parentStorageIdstring or nullOptional
projectIdstring or nullOptional
schemaFieldsmap from strings to objectsOptional

Response

OK
__typenamestringOptional
creatorobjectOptional
The user who created the plate
schemaFieldslist of objects or nullOptional
archiveReasonstring or nullOptional
Why the plate is archived
archivedbooleanOptional
Whether the plate is archived
availableCapacityintegerOptional
The number of available positions in a matrix plate.
barcodestring or nullOptional
Barcode of the plate
createdAtstringOptional
DateTime the plate was created
idstringOptional
The ID of the plate.
modifiedAtstringOptional
DateTime the plate was last modified
namestringOptional

Name of the plate; defaults to barcode if name is not provided

occupiedCapacityintegerOptional
The number of containers currently in a matrix plate.
parentStorageobject or nullOptional
Containing parent storage
positionslist of objectsOptional
The wells of the plate
projectobject or nullOptional
The project the plate is associated with
schemaobjectOptional
The schema of the plate
totalCapacityintegerOptional

The total capacity of a matrix plate (i.e. how many containers it can store).

Errors

400
Matrix Plate Update Request Bad Request Error
403
Matrix Plate Update Request Forbidden Error
404
Matrix Plate Update Request Not Found Error
409
Matrix Plate Update Request Conflict Error
429
Matrix Plate Update Request Too Many Requests Error
500
Matrix Plate Update Request Internal Server Error